## ayatana-ido 0.9.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)
project(ayatana-ido C CXX)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

# Options

option(ENABLE_TESTS "Enable all tests and checks" OFF)
option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
option(ENABLE_WERROR "Treat all build warnings as errors" OFF)

if(ENABLE_COVERAGE)
    set(ENABLE_TESTS ON)
    set(CMAKE_BUILD_TYPE "Coverage")
else()
    set(CMAKE_BUILD_TYPE "Release")
endif()

if(ENABLE_COVERAGE)
    set(ENABLE_TESTS ON)
    set(CMAKE_BUILD_TYPE "Coverage")
else()
    set(CMAKE_BUILD_TYPE "Release")
endif()

if(ENABLE_WERROR)
    add_definitions("-Werror")
endif()

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    add_definitions("-Weverything")
else()
    add_definitions("-Wall")
endif()

# Check for prerequisites

set(DEPS glib-2.0>=2.58 gtk+-3.0>=3.24)

find_package (PkgConfig REQUIRED)
pkg_check_modules(PROJECT_DEPS REQUIRED ${DEPS})

# Set global variables

include(GNUInstallDirs)
set(PROJECT_VERSION "0.9.1")

# Make everything

add_subdirectory(src)
add_subdirectory(data)

if (ENABLE_TESTS)
    include(CTest)
    enable_testing()
    add_subdirectory(example)
    add_subdirectory(tests)
    # coverage
    if (ENABLE_COVERAGE)
        find_package(CoverageReport)
        ENABLE_COVERAGE_REPORT(
            TARGETS "ayatana-ido3-0.4"
            TESTS "gtest-menuitems"
            FILTER /usr/include ${CMAKE_BINARY_DIR}/*
        )
    endif()
endif()

# Display config info

message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "Unit tests: ${ENABLE_TESTS}")
message(STATUS "Build with -Werror: ${ENABLE_WERROR}")

=== data/CMakeLists.txt ===
# libayatana-ido3-0.4.pc

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/libayatana-ido3-0.4.pc.in" "${CMAKE_CURRENT_BINARY_DIR}/libayatana-ido3-0.4.pc" @ONLY)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libayatana-ido3-0.4.pc" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}/pkgconfig/")

=== example/CMakeLists.txt ===
# menus

add_executable("menus" menus.c)
target_include_directories("menus" PUBLIC ${PROJECT_DEPS_INCLUDE_DIRS})
target_link_libraries("menus" ${PROJECT_DEPS_LIBRARIES} "-L${CMAKE_BINARY_DIR}/src" -layatana-ido3-0.4)
target_include_directories("menus" PUBLIC "${CMAKE_SOURCE_DIR}/src")
add_dependencies("menus" ayatana-ido3-0.4)

=== src/CMakeLists.txt ===
# ayatanamenuitemfactory.h
# idocalendarmenuitem.h
# idoentrymenuitem.h
# idorange.h
# idoscalemenuitem.h
# idoswitchmenuitem.h
# idotimeline.h
# libayatana-ido.h

install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/ayatanamenuitemfactory.h" DESTINATION "${CMAKE_INSTALL_FULL_INCLUDEDIR}/libayatana-ido3-0.4/libayatana-ido")
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/idocalendarmenuitem.h" DESTINATION "${CMAKE_INSTALL_FULL_INCLUDEDIR}/libayatana-ido3-0.4/libayatana-ido")
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/idoentrymenuitem.h" DESTINATION "${CMAKE_INSTALL_FULL_INCLUDEDIR}/libayatana-ido3-0.4/libayatana-ido")
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/idorange.h" DESTINATION "${CMAKE_INSTALL_FULL_INCLUDEDIR}/libayatana-ido3-0.4/libayatana-ido")
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/idoscalemenuitem.h" DESTINATION "${CMAKE_INSTALL_FULL_INCLUDEDIR}/libayatana-ido3-0.4/libayatana-ido")
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/idoswitchmenuitem.h" DESTINATION "${CMAKE_INSTALL_FULL_INCLUDEDIR}/libayatana-ido3-0.4/libayatana-ido")
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/idotimeline.h" DESTINATION "${CMAKE_INSTALL_FULL_INCLUDEDIR}/libayatana-ido3-0.4/libayatana-ido")
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/libayatana-ido.h" DESTINATION "${CMAKE_INSTALL_FULL_INCLUDEDIR}/libayatana-ido3-0.4/libayatana-ido")

set(HEADERS
    idorange.h
    idoappointmentmenuitem.h
    idousermenuitem.h
    idoalarmmenuitem.h
    idotimestampmenuitem.h
    idoplaybackmenuitem.h
    idoremovablemenuitem.h
    ayatanamenuitemfactory.h
    idobasicmenuitem.h
    idoapplicationmenuitem.h
    idotimeline.h
    idosourcemenuitem.h
    idoactionhelper.h
    idocalendarmenuitem.h
    idolocationmenuitem.h
    idoprogressmenuitem.h
    libayatana-ido.h
    idomediaplayermenuitem.h
    idoswitchmenuitem.h
    idoscalemenuitem.h
    idodetaillabel.h
    idoentrymenuitem.h
)

set(SOURCES
    idotimestampmenuitem.c
    idodetaillabel.c
    libayatana-ido.c
    idomenuitemfactory.c
    idoactionhelper.c
    idoapplicationmenuitem.c
    idoplaybackmenuitem.c
    idomediaplayermenuitem.c
    idocalendarmenuitem.c
    ayatanamenuitemfactory.c
    idoprogressmenuitem.c
    idolocationmenuitem.c
    idoscalemenuitem.c
    idoentrymenuitem.c
    idoalarmmenuitem.c
    idorange.c
    idoappointmentmenuitem.c
    idoswitchmenuitem.c
    idoremovablemenuitem.c
    idobasicmenuitem.c
    idousermenuitem.c
    idosourcemenuitem.c
    idotimeline.c
    ${CMAKE_CURRENT_BINARY_DIR}/idotypebuiltins.c
)

# idotypebuiltins.h

find_program(GLIB_MKENUMS glib-mkenums)

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/idotypebuiltins.h"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND
    ${GLIB_MKENUMS}
    --template idotypebuiltins.h.template ${HEADERS}
    --output="${CMAKE_CURRENT_BINARY_DIR}/idotypebuiltins.h"
)

# idotypebuiltins.c

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/idotypebuiltins.c"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/idotypebuiltins.h"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND
    ${GLIB_MKENUMS}
    --template idotypebuiltins.c.template ${HEADERS}
    --output="${CMAKE_CURRENT_BINARY_DIR}/idotypebuiltins.c"
)

# ayatana-ido3-0.4.so

add_library("ayatana-ido3-0.4" SHARED ${SOURCES})
set_target_properties("ayatana-ido3-0.4" PROPERTIES VERSION 0.0.0 SOVERSION 0)
target_link_libraries("ayatana-ido3-0.4" ${PROJECT_DEPS_LIBRARIES})
target_include_directories("ayatana-ido3-0.4" PUBLIC ${PROJECT_DEPS_INCLUDE_DIRS})
target_include_directories("ayatana-ido3-0.4" PUBLIC ${CMAKE_CURRENT_BINARY_DIR})
target_include_directories("ayatana-ido3-0.4" PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})
target_compile_definitions("ayatana-ido3-0.4" PUBLIC G_LOG_DOMAIN="IDO")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libayatana-ido3-0.4.so" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libayatana-ido3-0.4.so.0" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libayatana-ido3-0.4.so.0.0.0" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}")

# ayatana-ido3-0.4.gir

find_package(GObjectIntrospection REQUIRED QUIET)

if (INTROSPECTION_FOUND)

    set(HEADERS
        idocalendarmenuitem.h
        idoentrymenuitem.h
        idorange.h
        idoscalemenuitem.h
        idoswitchmenuitem.h
        idotimeline.h
    )

    add_custom_command(
        OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/AyatanaIdo3-0.4.gir"
        DEPENDS "ayatana-ido3-0.4"
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        COMMAND
        ${INTROSPECTION_SCANNER}
        ${SOURCES} ${HEADERS}
        --symbol-prefix=ido
        --identifier-prefix=Ido
        --namespace=AyatanaIdo3
        --nsversion=0.4
        --quiet
        --pkg=gtk+-3.0
        --warn-all
        --include=Gtk-3.0
        --library="ayatana-ido3-0.4"
        --library-path=${CMAKE_CURRENT_BINARY_DIR}
        --output "${CMAKE_CURRENT_BINARY_DIR}/AyatanaIdo3-0.4.gir"
    )

    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/AyatanaIdo3-0.4.gir" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/gir-1.0")

    # ayatana-ido3-0.4.typelib

    add_custom_command(
        OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/AyatanaIdo3-0.4.typelib"
        DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/AyatanaIdo3-0.4.gir"
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
        COMMAND
        ${INTROSPECTION_COMPILER}
        --includedir=${CMAKE_CURRENT_BINARY_DIR}
        ${CMAKE_CURRENT_BINARY_DIR}/AyatanaIdo3-0.4.gir
        -o "${CMAKE_CURRENT_BINARY_DIR}/AyatanaIdo3-0.4.typelib"
    )

    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/AyatanaIdo3-0.4.typelib" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}/girepository-1.0")


    # ayatana-ido3-0.4.vapi

    find_package(Vala REQUIRED QUIET)

    if (VALA_FOUND)

        add_custom_command(
            OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/AyatanaIdo3-0.4.vapi"
            DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/AyatanaIdo3-0.4.typelib"
            WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
            COMMAND
            ${VAPI_GEN}
            --library=AyatanaIdo3-0.4
            --pkg gtk+-3.0
            AyatanaIdo3-0.4.gir
        )

        install(FILES "${CMAKE_CURRENT_BINARY_DIR}/AyatanaIdo3-0.4.vapi" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/vala/vapi")

        add_custom_target("src" ALL DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/AyatanaIdo3-0.4.vapi")

    endif ()

endif ()

=== tests/CMakeLists.txt ===
find_package(GMock)

# gtest-menuitems

include_directories(
    ${CMAKE_SOURCE_DIR}/src
    ${PROJECT_DEPS_INCLUDE_DIRS}
)

add_executable("gtest-menuitems" gtest-menuitems.cpp)
target_link_options("gtest-menuitems" PRIVATE -no-pie)
target_link_libraries("gtest-menuitems"
    ayatana-ido3-0.4

    ${PROJECT_DEPS_LIBRARIES}

    ${GTEST_LIBRARIES}
    ${GTEST_BOTH_LIBRARIES}
    ${GMOCK_LIBRARIES}
)
add_test("gtest-menuitems" "gtest-menuitems")
add_dependencies("gtest-menuitems" ayatana-ido3-0.4)

## ayatana-ido 0.4.2

=== debian/changelog ===
ayatana-ido (0.4.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    + White-space cleanup.
  * debian/watch:
    + Use secure URL to obtain upstream source.
  * debian/*:
    + Fix package naming scheme of gir1.2 bin:pkg to
      make lintian and policy happy.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 04 Dec 2017 16:21:17 +0100

ayatana-ido (0.4.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Update to new upstream URL.
  * debian/control: Bump Standards-Version: to 4.1.0. No changes needed.
  * debian/{control,copyright}: Update to new upstream URL.

  * Upload to unstable.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 16 Sep 2017 00:37:13 +0200

ayatana-ido (0.4.0-1) experimental; urgency=medium

  * Initial release to Debian. (Closes: #863121).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 22 May 2017 13:27:47 +0200

=== debian/control ===
Source: ayatana-ido
Section: libs
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper (>= 10),
               dh-autoreconf,
               dpkg-dev (>= 1.16.1.1),
               gobject-introspection,
               gtk-doc-tools,
               libgirepository1.0-dev,
               libglib2.0-dev (>=2.14.0),
               libgtest-dev,
               libgtk-3-dev (>= 3.8.2-0ubuntu2),
               libx11-dev,
               libxi-dev,
               mate-common,
               valac (>= 0.16),
Standards-Version: 4.1.1
Homepage: https://github.com/AyatanaIndicators/ayatana-ido
Vcs-Git: https://anonscm.debian.org/git/pkg-ayatana/ayatana-ido.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-ayatana/ayatana-ido.git

Package: libayatana-ido3-0.4-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Widgets and other objects used for Ayatana Indicators
 Shared library providing extra gtk menu items for display in system
 Ayatana Indicators.
 .
 This package contains shared libraries to be used by GTK+ 3
 applications.

Package: libayatana-ido3-0.4-dev
Section: libdevel
Architecture: any
Depends: gir1.2-ayatanaido3-0.4 (= ${binary:Version}),
         libayatana-ido3-0.4-0 (= ${binary:Version}),
         libglib2.0-dev (>=2.14.0),
         libgtk-3-dev (>= 3.8.2-0ubuntu2),
         pkg-config,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Widgets and other objects used for Ayatana Indicators - development files
 Shared library providing extra gtk menu items for display in system
 Ayatana Indicators
 .
 This package contains files that are needed to build GTK+ 3 applications
 with Ayatana Indicators support.

Package: gir1.2-ayatanaido3-0.4
Section: introspection
Architecture: any
Multi-Arch: same
Breaks: gir1.2-ayatana-ido3-0.4 (<< 0.4.2-1~),
Replaces: gir1.2-ayatana-ido3-0.4 (<< 0.4.2-1~),
Depends: libayatana-ido3-0.4-0 (>= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends},
Description: Widgets and other objects used for Ayatana Indicators - Typelib file
 Shared library providing extra gtk menu items for display in system
 Ayatana Indicators.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings for libayatana-ido3-0.1.

=== debian/rules ===
#!/usr/bin/make -f

export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf ./autogen.sh

override_dh_install:
	find debian/tmp/usr/lib -name *.la -delete
	dh_install --fail-missing

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.ayatana-indicators.org/source/ayatana-ido/ayatana-ido-(.+)\.tar\.gz

## ayatana-ido 0.4.2-1+8.0trisquel1

=== debian/changelog ===
ayatana-ido (0.4.2-1+8.0trisquel1) flidas; urgency=medium

  * Backported from bionic

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 26 Mar 2020 15:18:15 +0000

## ayatana-ido 0.4.4

=== debian/changelog ===
ayatana-ido (0.4.4-1~mx17+1) mx; urgency=medium

  * Repackaged for MX 17.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 26 Aug 2018 18:31:57 -0700

ayatana-ido (0.4.4-1) unstable; urgency=medium

  * New upstream release (regression fix).
    - Bringe SONAME back into .pc file name. Should fix FTBFS against
      various packages build-depending on ayatana-ido.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 13 Aug 2018 12:38:08 +0200

ayatana-ido (0.4.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control (et al):
    + Rename libayatana-ido3-0.4-dev to libayatana-ido3-dev.
  * debian/control:
    + Bump Standards-Version: to 4.2.0. No changes needed.
  * debian/copyright:
    + Use secure URI for copyright format reference.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 13 Aug 2018 11:53:48 +0200

ayatana-ido (0.4.2-2) unstable; urgency=medium

  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.1.5. No changes needed.
    + Drop now unneeded B-D on dh-autoreconf. Not required since DH compat
      level 10.
  * debian/{control,compat}:
    + Bump DH compat level to 11.
  * debian/upstream/metadata:
    + Comply with DEP-12.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 16 Jul 2018 21:55:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: ayatana-ido
 Section: libs
 Priority: optional
-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: debhelper (>= 10),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 11~),
                dpkg-dev (>= 1.16.1.1),
                gobject-introspection,
                gtk-doc-tools,
                libgirepository1.0-dev,
                libglib2.0-dev (>=2.14.0),
                libgtest-dev,
-               libgtk-3-dev (>= 3.8.2-0ubuntu2),
+               libgtk-3-dev (>= 3.8.2),
                libx11-dev,
                libxi-dev,
                mate-common,
                valac (>= 0.16),
-Standards-Version: 4.1.1
+Standards-Version: 4.2.0
 Homepage: https://github.com/AyatanaIndicators/ayatana-ido
-Vcs-Git: https://anonscm.debian.org/git/pkg-ayatana/ayatana-ido.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ayatana/ayatana-ido.git
+Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-ido.git
+Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-ido
 
 Package: libayatana-ido3-0.4-0
 Architecture: any
@@ -32,7 +32,8 @@
  This package contains shared libraries to be used by GTK+ 3
  applications.
 
-Package: libayatana-ido3-0.4-dev
+Package: libayatana-ido3-dev
+Provides: libayatana-ido3-0.4-dev
 Section: libdevel
 Architecture: any
 Depends: gir1.2-ayatanaido3-0.4 (= ${binary:Version}),
@@ -42,6 +43,8 @@
          pkg-config,
          ${misc:Depends},
          ${shlibs:Depends},
+Breaks: libayatana-ido3-0.4-dev (<< 0.4.3-1~),
+Replaces: libayatana-ido3-0.4-dev (<< 0.4.3-1~),
 Description: Widgets and other objects used for Ayatana Indicators - development files
  Shared library providing extra gtk menu items for display in system
  Ayatana Indicators

## ayatana-ido 0.4.90

=== debian/changelog ===
ayatana-ido (0.4.90-1) unstable; urgency=medium

  * New upstream release.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH compat level to version 12.
  * debian/control:
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to "no".
  * debian/libayatana-ido3-0.4-0.symbols:
    + Add *Build-Depends-Package: meta data field.
  * debian/rules:
    + Move --fail-missing parameter over from dh_install to dh_missing.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 04 Dec 2019 21:49:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: ayatana-ido
 Section: libs
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1.1),
                gobject-introspection,
                gtk-doc-tools,
                libgirepository1.0-dev,
                libglib2.0-dev (>=2.14.0),
                libgtest-dev,
-               libgtk-3-dev (>= 3.8.2),
+               libgtk-3-dev (>= 3.8.2-0ubuntu2),
                libx11-dev,
                libxi-dev,
                mate-common,
                valac (>= 0.16),
-Standards-Version: 4.2.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-ido
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-ido.git
 Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-ido

## ayatana-ido 0.8.0

=== debian/changelog ===
ayatana-ido (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/libayatana-ido3-0.4-0.symbols:
    + Update file.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 18 Aug 2020 08:31:51 +0200

ayatana-ido (0.5.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #957031).
  * debian/control:
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Bump DH compat level to version 13.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Jul 2020 06:56:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1.1),
                gobject-introspection,
                gtk-doc-tools,
@@ -15,7 +15,7 @@
                libxi-dev,
                mate-common,
                valac (>= 0.16),
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-ido
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-ido.git

## ayatana-ido 0.8.1

=== debian/changelog ===
ayatana-ido (0.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 09 Nov 2020 17:36:06 +0100

## ayatana-ido 0.8.2

=== debian/changelog ===
ayatana-ido (0.8.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.5.1. No changes needed.
    + Apply wrap-and-sort -a -t.
  * debian/libayatana-ido3-0.4-0.symbols:
    + Update symbols.
  * debian/copyright:
    + Update auto-generated copyright.in template file.
    + Update copyright attributions.
  * debian/watch:
    + Update format version to 4.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 01 Feb 2021 16:55:19 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libxi-dev,
                mate-common,
                valac (>= 0.16),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-ido
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-ido.git
@@ -23,7 +23,8 @@
 
 Package: libayatana-ido3-0.4-0
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Multi-Arch: same
 Description: Widgets and other objects used for Ayatana Indicators
  Shared library providing extra gtk menu items for display in system
@@ -33,7 +34,7 @@
  applications.
 
 Package: libayatana-ido3-dev
-Provides: libayatana-ido3-0.4-dev
+Provides: libayatana-ido3-0.4-dev,
 Section: libdevel
 Architecture: any
 Depends: gir1.2-ayatanaido3-0.4 (= ${binary:Version}),

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,10 @@
 
 override_dh_install:
 	find debian/tmp/usr/lib -name *.la -delete
-	dh_install --fail-missing
+	dh_install
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

## ayatana-ido 0.9.1

=== debian/changelog ===
ayatana-ido (0.9.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 18 Feb 2022 14:39:20 +0100

ayatana-ido (0.9.0-1) unstable; urgency=medium

  * New upstream release.
    - Fix a11y in removable menu item. (Closes: #988680).
  * debian/:
    + Adjust to build system switch (autotools -> CMake).
  * debian/copyright:
    + Update auto-generated copyright.in reference file.
    + Update copyright attributions.
  * debian/libayatana-ido3-0.4-0.symbols:
    + Add one more symbol introduced in 0.9.0.
  * debian/control:
    + Ayatana IDO 0.9.0 will break system indicators before 0.9.0.
      Expressing this via B: relation for all known system indicators in
      Debian.
    + Bump Standards-Version: to 4.6.0. No changes needed.
    + Strip trailing ',' in Provides: field.
    + Fix lib:pkg name in LONG_DESCRIPTION of gir:pkg.
  * debian/rules:
    + Install NEWS file as upstream ChangeLog.
  * debian/upstream/metadata:
    + Update points of contact, put UBports Foundation in Donation: field.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 18 Nov 2021 14:11:03 +0100

ayatana-ido (0.8.2-2) unstable; urgency=medium

  * debian/control:
    + Fix Vcs-Browser: field's URL. (Closes: #982638). Thanks to Sebastien
      Bacher for spotting this.
  * debian/copyright:
    + Fix Upstream-Contact: field name (typo). (Closes: #987812).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 12 Jun 2021 12:57:46 +0200

=== debian/control ===
--- 
+++ 
@@ -3,29 +3,41 @@
 Priority: optional
 Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake,
+               cmake-extras,
+               debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1.1),
                gobject-introspection,
                gtk-doc-tools,
+               xauth,
+               xvfb,
                libgirepository1.0-dev,
                libglib2.0-dev (>=2.14.0),
                libgtest-dev,
                libgtk-3-dev (>= 3.8.2-0ubuntu2),
                libx11-dev,
                libxi-dev,
-               mate-common,
                valac (>= 0.16),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-ido
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-ido.git
-Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-ido
+Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/ayatana-ido
 
 Package: libayatana-ido3-0.4-0
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
 Multi-Arch: same
+Breaks:
+ ayatana-indicator-datetime (<< 0.9.0),
+ ayatana-indicator-display (<< 0.9.0),
+ ayatana-indicator-keyboard (<< 0.9.0),
+ ayatana-indicator-messages (<< 0.9.0),
+ ayatana-indicator-notifications (<< 0.9.0),
+ ayatana-indicator-power (<< 0.9.0),
+ ayatana-indicator-session (<< 0.9.0),
+ ayatana-indicator-sound (<< 0.9.0),
 Description: Widgets and other objects used for Ayatana Indicators
  Shared library providing extra gtk menu items for display in system
  Ayatana Indicators.
@@ -34,7 +46,7 @@
  applications.
 
 Package: libayatana-ido3-dev
-Provides: libayatana-ido3-0.4-dev,
+Provides: libayatana-ido3-0.4-dev
 Section: libdevel
 Architecture: any
 Depends: gir1.2-ayatanaido3-0.4 (= ${binary:Version}),
@@ -67,4 +79,4 @@
  Ayatana Indicators.
  .
  This package can be used by other packages using the GIRepository format
- to generate dynamic bindings for libayatana-ido3-0.1.
+ to generate dynamic bindings for libayatana-ido3-0.4-0.

## ayatana-ido 0.9.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -47,7 +47,7 @@
 # Set global variables
 
 include(GNUInstallDirs)
-set(PROJECT_VERSION "0.9.1")
+set(PROJECT_VERSION "0.9.2")
 
 # Make everything

=== debian/changelog ===
ayatana-ido (0.9.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 12 Jun 2022 13:05:30 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libx11-dev,
                libxi-dev,
                valac (>= 0.16),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-ido
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-ido.git

## ayatana-ido 0.9.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 # Options
 
-option(ENABLE_TESTS "Enable all tests and checks" OFF)
+option(ENABLE_TESTS "Enable all tests and checks" ON)
 option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
 option(ENABLE_WERROR "Treat all build warnings as errors" OFF)
 
@@ -47,7 +47,7 @@
 # Set global variables
 
 include(GNUInstallDirs)
-set(PROJECT_VERSION "0.9.2")
+set(PROJECT_VERSION "0.9.3")
 
 # Make everything

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -97,7 +97,7 @@
 
 add_library("ayatana-ido3-0.4" SHARED ${SOURCES})
 set_target_properties("ayatana-ido3-0.4" PROPERTIES VERSION 0.0.0 SOVERSION 0)
-target_link_libraries("ayatana-ido3-0.4" ${PROJECT_DEPS_LIBRARIES})
+target_link_libraries("ayatana-ido3-0.4" ${PROJECT_DEPS_LIBRARIES} m)
 target_include_directories("ayatana-ido3-0.4" PUBLIC ${PROJECT_DEPS_INCLUDE_DIRS})
 target_include_directories("ayatana-ido3-0.4" PUBLIC ${CMAKE_CURRENT_BINARY_DIR})
 target_include_directories("ayatana-ido3-0.4" PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})
@@ -106,7 +106,7 @@
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libayatana-ido3-0.4.so.0" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}")
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libayatana-ido3-0.4.so.0.0.0" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}")
 
-# ayatana-ido3-0.4.gir
+# AyatanaIdo3-0.4.gir
 
 find_package(GObjectIntrospection REQUIRED QUIET)
 
@@ -136,6 +136,7 @@
         --pkg=gtk+-3.0
         --warn-all
         --include=Gtk-3.0
+        --c-include="libayatana-ido/libayatana-ido.h"
         --library="ayatana-ido3-0.4"
         --library-path=${CMAKE_CURRENT_BINARY_DIR}
         --output "${CMAKE_CURRENT_BINARY_DIR}/AyatanaIdo3-0.4.gir"
@@ -143,7 +144,7 @@
 
     install(FILES "${CMAKE_CURRENT_BINARY_DIR}/AyatanaIdo3-0.4.gir" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/gir-1.0")
 
-    # ayatana-ido3-0.4.typelib
+    # AyatanaIdo3-0.4.typelib
 
     add_custom_command(
         OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/AyatanaIdo3-0.4.typelib"
@@ -158,27 +159,26 @@
 
     install(FILES "${CMAKE_CURRENT_BINARY_DIR}/AyatanaIdo3-0.4.typelib" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}/girepository-1.0")
 
-
-    # ayatana-ido3-0.4.vapi
+    # libayatana-ido3-0.4.vapi
 
     find_package(Vala REQUIRED QUIET)
 
     if (VALA_FOUND)
 
         add_custom_command(
-            OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/AyatanaIdo3-0.4.vapi"
+            OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/libayatana-ido3-0.4.vapi"
             DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/AyatanaIdo3-0.4.typelib"
             WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
             COMMAND
             ${VAPI_GEN}
-            --library=AyatanaIdo3-0.4
+            --library=libayatana-ido3-0.4
             --pkg gtk+-3.0
             AyatanaIdo3-0.4.gir
         )
 
-        install(FILES "${CMAKE_CURRENT_BINARY_DIR}/AyatanaIdo3-0.4.vapi" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/vala/vapi")
+        install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libayatana-ido3-0.4.vapi" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/vala/vapi")
 
-        add_custom_target("src" ALL DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/AyatanaIdo3-0.4.vapi")
+        add_custom_target("src" ALL DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/libayatana-ido3-0.4.vapi")
 
     endif ()

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-find_package(GMock)
+find_package(GTest REQUIRED)
 
 # gtest-menuitems

=== debian/changelog ===
ayatana-ido (0.9.3-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/libayatana-ido3-0.4-0.symbols:
    + Update symbols.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 27 Feb 2023 10:21:19 +0100

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,18 @@
 Build-Depends: cmake,
                cmake-extras,
                debhelper-compat (= 13),
-               dpkg-dev (>= 1.16.1.1),
                gobject-introspection,
                gtk-doc-tools,
                xauth,
                xvfb,
                libgirepository1.0-dev,
-               libglib2.0-dev (>=2.14.0),
+               libglib2.0-dev,
                libgtest-dev,
-               libgtk-3-dev (>= 3.8.2-0ubuntu2),
+               libgtk-3-dev,
                libx11-dev,
                libxi-dev,
-               valac (>= 0.16),
-Standards-Version: 4.6.1
+               valac,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-ido
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-ido.git
@@ -35,7 +34,6 @@
  ayatana-indicator-keyboard (<< 0.9.0),
  ayatana-indicator-messages (<< 0.9.0),
  ayatana-indicator-notifications (<< 0.9.0),
- ayatana-indicator-power (<< 0.9.0),
  ayatana-indicator-session (<< 0.9.0),
  ayatana-indicator-sound (<< 0.9.0),
 Description: Widgets and other objects used for Ayatana Indicators
@@ -51,8 +49,8 @@
 Architecture: any
 Depends: gir1.2-ayatanaido3-0.4 (= ${binary:Version}),
          libayatana-ido3-0.4-0 (= ${binary:Version}),
-         libglib2.0-dev (>=2.14.0),
-         libgtk-3-dev (>= 3.8.2-0ubuntu2),
+         libglib2.0-dev,
+         libgtk-3-dev,
          pkg-config,
          ${misc:Depends},
          ${shlibs:Depends},

## ayatana-ido 0.10.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 # Options
 
-option(ENABLE_TESTS "Enable all tests and checks" ON)
+option(ENABLE_TESTS "Enable all tests and checks" OFF)
 option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
 option(ENABLE_WERROR "Treat all build warnings as errors" OFF)
 
@@ -37,6 +37,11 @@
     add_definitions("-Wall")
 endif()
 
+# Thread fix for old CMake
+
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -pthread")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread")
+
 # Check for prerequisites
 
 set(DEPS glib-2.0>=2.58 gtk+-3.0>=3.24)
@@ -47,7 +52,7 @@
 # Set global variables
 
 include(GNUInstallDirs)
-set(PROJECT_VERSION "0.9.3")
+set(PROJECT_VERSION "0.10.1")
 
 # Make everything

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -39,6 +39,7 @@
     idoscalemenuitem.h
     idodetaillabel.h
     idoentrymenuitem.h
+    idolevelmenuitem.h
 )
 
 set(SOURCES
@@ -65,6 +66,7 @@
     idousermenuitem.c
     idosourcemenuitem.c
     idotimeline.c
+    idolevelmenuitem.c
     ${CMAKE_CURRENT_BINARY_DIR}/idotypebuiltins.c
 )
 
@@ -102,9 +104,7 @@
 target_include_directories("ayatana-ido3-0.4" PUBLIC ${CMAKE_CURRENT_BINARY_DIR})
 target_include_directories("ayatana-ido3-0.4" PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})
 target_compile_definitions("ayatana-ido3-0.4" PUBLIC G_LOG_DOMAIN="IDO")
-install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libayatana-ido3-0.4.so" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}")
-install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libayatana-ido3-0.4.so.0" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}")
-install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libayatana-ido3-0.4.so.0.0.0" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}")
+install(TARGETS "ayatana-ido3-0.4" LIBRARY DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}")
 
 # AyatanaIdo3-0.4.gir

=== debian/changelog ===
ayatana-ido (0.10.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:28:25 +0000

ayatana-ido (0.10.1-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:52:50 +0000

ayatana-ido (0.10.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/libayatana-ido3-0.4-0.symbols:
    + Update symbols.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 27 Aug 2023 16:53:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ayatana-ido
 Section: libs
 Priority: optional
-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: cmake,
                cmake-extras,

## ayatana-ido 0.10.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -52,7 +52,7 @@
 # Set global variables
 
 include(GNUInstallDirs)
-set(PROJECT_VERSION "0.10.1")
+set(PROJECT_VERSION "0.10.2")
 
 # Make everything

=== debian/changelog ===
ayatana-ido (0.10.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.
    + Switch from pkg-config to pkg-conf in D: field of dev:pkg.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update and resort copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 28 Apr 2024 15:33:22 +0200

## ayatana-ido 0.10.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -52,7 +52,7 @@
 # Set global variables
 
 include(GNUInstallDirs)
-set(PROJECT_VERSION "0.10.2")
+set(PROJECT_VERSION "0.10.4")
 
 # Make everything

=== debian/changelog ===
ayatana-ido (0.10.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
  * debian/libayatana-ido3-0.4-0.symbols:
    + Update symbols.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 05 Nov 2024 13:37:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ayatana-ido
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: cmake,
                cmake-extras,
@@ -18,7 +17,7 @@
                libx11-dev,
                libxi-dev,
                valac,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-ido
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-ido.git
@@ -52,7 +51,7 @@
          libayatana-ido3-0.4-0 (= ${binary:Version}),
          libglib2.0-dev,
          libgtk-3-dev,
-         pkg-config,
+         pkgconf,
          ${misc:Depends},
          ${shlibs:Depends},
 Breaks: libayatana-ido3-0.4-dev (<< 0.4.3-1~),

=== debian/rules ===
#!/usr/bin/make -f

export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

NULL :=

DEB_CMAKE_EXTRA_FLAGS = \
    -DENABLE_TESTS=ON \
    -DENABLE_COVERAGE=OFF \
    $(NULL)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)

override_dh_install:
	find debian/tmp/usr/lib -name *.la -delete
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
	xvfb-run -a dh_auto_test --no-parallel

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.ayatana-indicators.org/source/ayatana-ido/ayatana-ido-(.+)\.tar\.gz
